Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JViewport.ViewListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          javax.swing.JViewport.ViewListener

All Implemented Interfaces:
  ComponentListener, Serializable, EventListener

Enclosing class:
  JViewport

    protected class JViewport.ViewListener

extends ComponentAdapter
implements Serializable

A listener for the view.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Constructor Summary
`protected` | `JViewport.ViewListener()`

Method Summary
`void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JViewport.ViewListener

    protected JViewport.ViewListener()

Method Detail

### componentResized

    public void componentResized(ComponentEvent e)

  Description copied from class: `ComponentAdapter`
  Invoked when the component's size changes.

  Specified by:
    `componentResized` in interface `ComponentListener`
  Overrides:
    `componentResized` in class `ComponentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.